Run of control for aiocmd

Try this locally package):

debcheckout aiocmd
cd aiocmd
brz up --revision=git-v1:09b7ae1f117ce867b4d17ee59387cf5f1c8bcbdb
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
[2021-09-28 22:33:48] Opening branch at https://gitlab.com/kalilinux/packages/aiocmd.git/,branch=kali%2Fmaster
[2021-09-28 22:33:49] Using cached branch https://janitor.kali.org/git/aiocmd/,branch=kali%2Flatest
[2021-09-28 22:33:49] Total 1576 (delta 1089), reused 282 (delta 0)
[2021-09-28 22:33:53] Total 1533 (delta 1106), reused 224 (delta 0)
[2021-09-28 22:33:56] Total 2 (delta 0), reused 0 (delta 0), pack-reused 2
[2021-09-28 22:33:58] Total 6 (delta 0), reused 0 (delta 0), pack-reused 2
[2021-09-28 22:34:01] Total 11 (delta 4), reused 9 (delta 4), pack-reused 0
[2021-09-28 22:34:01] Workspace ready - starting.
[2021-09-28 22:34:01] Running ['brz', 'up', '--revision=git-v1:09b7ae1f117ce867b4d17ee59387cf5f1c8bcbdb']
[2021-09-28 22:34:01] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Tree is up to date at revision 6 of branch /home/janitor/tmp/janitorb29o6bv4/aiocmd
[2021-09-28 22:34:05] Committing to: /home/janitor/tmp/janitorb29o6bv4/aiocmd/
[2021-09-28 22:34:05] Actual command: ['brz', 'up', '--revision=git-v1:09b7ae1f117ce867b4d17ee59387cf5f1c8bcbdb']
[2021-09-28 22:34:05] Opened schroot session kali-dev-amd64-sbuild-2b9d6d8a-71b2-4a20-bb36-a6782f98d775 (from kali-dev-amd64-sbuild)
[2021-09-28 22:34:05] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7ffbf5602320>, [functools.partial(<function python_tie_breaker at 0x7ffbf54e4b70>, <GitWorkingTree of /home/janitor/tmp/janitorb29o6bv4/aiocmd>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/kali-dev-amd64-sbuild-2b9d6d8a-71b2-4a20-bb36-a6782f98d775'), <function popcon_tie_breaker at 0x7ffbde58aea0>]))]
[2021-09-28 22:34:05] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2021-09-28 22:34:06] No fixer found for ChrootNotFound(chroot='control-amd64-sbuild')
[2021-09-28 22:34:06] Failed to resolve error ChrootNotFound(chroot='control-amd64-sbuild'). Giving up.
Traceback (most recent call last):
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 205, in build
    args, cwd=local_tree.abspath(subpath), stdout=outf, stderr=outf, env=env
  File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--guess-upstream-branch-url', '--builder=sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes', '--result-dir=/home/janitor/tmp/janitorb29o6bv4']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 232, in build_once
    extra_repositories=extra_repositories,
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 208, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/janitor/worker.py", line 374, in build
    max_iterations=MAX_BUILD_ITERATIONS
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/fix_build.py", line 562, in build_incrementally
    extra_repositories=extra_repositories,
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 301, in attempt_build
    extra_repositories=extra_repositories,
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 244, in build_once
    sbuild_failure.description)
ognibuild.debian.build.DetailedDebianBuildFailure: ('create-session', ('create-session',), None, ['sbuild', '-Asv', '--dpkg-file-suffix=+jan', '--force-orig-source', '--source-only-changes'], ChrootNotFound(chroot='control-amd64-sbuild'), 'build failed stage create-session')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/janitor/worker.py", line 913, in run_worker
    force_build=force_build
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/debian-janitor/janitor/worker.py", line 696, in process_package
    ws, subpath, output_directory, env)
  File "/opt/debian-janitor/janitor/worker.py", line 397, in build
    from .debian.missing_deps import resolve_requirement
  File "/opt/debian-janitor/janitor/debian/missing_deps.py", line 25, in <module>
    from lintian_brush.debianize import find_upstream, UpstreamInfo
  File "/opt/debian-janitor/lintian-brush/lintian_brush/debianize.py", line 104, in <module>
    from .debhelper import (
  File "/opt/debian-janitor/lintian-brush/lintian_brush/debhelper.py", line 21, in <module>
    from functools import cache
ImportError: cannot import name 'cache' from 'functools' (/usr/lib/python3.7/functools.py)

Full worker log Full build log